import { useServiceIterator } from "./useServiceIterator.js";
import { single } from "@wroud/di";
import { isServiceTypeResolver } from "@wroud/di/service-type-resolvers/BaseServiceTypeResolver.js";
export function useService(type) {
    if (!isServiceTypeResolver(type)) {
        type = single(type);
    }
    return useServiceIterator(type);
}
//# sourceMappingURL=useService.js.map